Subject: Re: Shared Interrupts Question (2.4)

From: Kent Borg <[email-masked]>
Date: Thu, 8 May 2003 16:28:14 -0400

On Thu, May 08, 2003 at 01:20:12PM -0700, bhupinder sahran wrote:
> SO in the do_irq routine u will have to read the
> interrupt controller registers & find out who has
> caused the interrupt & then invoke interrupt handler
> corressponding to the interrupt number.

Yes, but how do I enable the interrupt in the first place?  (Disable
too.)  I mean, I know how to set the bit, but where is the best place
to do so?  In the case of a serial port, I figure I could turn it on
in startup() in serial.c.  But then how do I know which of two
possible interrupts it is?  I could do something hacky, like look at
the UART address and infer from there, but that looks nasty...

Thanks,

-kb, the Kent who, if has to muck with existing kernel files, wants to
do so in an acceptable way.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/